[Next] [Previous] [Top] [Contents]

Python 1.5 Reference Manual

# Index

## #

      #

## A

      abstraction
      addition
      and
        bit-wise
      argument
        default value
        function
        keyword
      arguments
        positional
      array of bytes
      ASCII [1] [2]
      assignment [1] [2]
        attribute
          class
          class instance
        attributes
        list
          target
        slicing
        subscription
      atom
      attribute
        class
        class instance
        generic
        special
      attribute access
      attribute search

## B

      back-quotes [1] [2]
      backslash
      backslash character
      binary arithmetic operations
      binding
        name [1] [2] [3] [4]
          global
      bitwise operations
      blank line
      block
        code
      BNF [1] [2]
      built-in
      built-in method
      byte
      byte-compile
      bytecode

## C

      C [1] [2] [3] [4]
      call
        built-in function
        built-in method
        class instance
        class object [1] [2]
        function [1] [2]
          user-defined
        function invocation
        instance
        method
        procedure
      callable [1] [2]
      characters
      circular references
      class [1] [2]
      clause
      close
      code block [1] [2] [3] [4]
      code generation phase
      coercion
      coercion rules
      colon
      comma
        trailing [1] [2]
      comma operator
      command line
      comment
      comparison
        chaining
      comparison operator
      complex literal
      complex number [1] [2] [3]
      constant
      constructor
        class
      container [1] [2]
      conversion
        arithmetic
        string [1] [2] [3]
      curly brace

## D

      data
      datum
      debugger
      debugging
      decimal literal
      DEDENT token [1] [2]
      definition
        class [1] [2]
        function [1] [2]
      delete
        attribute
      delimiter
      display
        dictionary
        tuple
      division
      double precision

## E

      elif
      ellipsis
      else [1] [2] [3]
        dangling
      end-of-line character
      error
      error handling
      escape sequence
      except
      exception [1] [2]
        class
        raising
      exception handler [1] [2]
      execution model
      expression
        lambda
      expression input
      expression list [1] [2]
      extended slice notation
      extended slice syntax

## F

      finally [1] [2] [3]
      floating point
      floating point literal
      floating point number
      flow of control
      form
        lambda
      formfeed character
      frame
        execution [1] [2] [3]
      from [1] [2]
      function [1] [2] [3]
        anonymous
        user-defined [1] [2]
      function object

## G

      garbage collection
      grammar

## H

      handle an exception
      handler
        exception
      hash character
      hexadecimal literal

## I

      identifier
        special meaning
      Identifier
      imaginary literal
      immutable
      import
      in
      INDENT token
      Indentation
      indentation errors
      index operation
      inheritance
      instance
        call
      integer [1] [2]
        long
      integer literal
      interactive mode
      internal type
      interpreter
      invertion
      item
        selection
        string

## K

      key
      key/datum pair
      keyword

## L

      Lambda
      leading whitespace
      len
      lexical analysis
      lexical analyzer
      line
        blank
        continuation
        joining
        physical
          split across
      line joining
        implicit
      line structure
      lines
        logical
        physical
      list
        empty
        expression [1] [2] [3]
        target
          deletion
      literal
      Literal
      logical line
      long integer literal
      loop
        over mutable sequence

## M

      method
        bound
        unbound
        user-defined
          creation
      minus
      module
        extension
        importing
      modulo
      multiplication
      mutable [1] [2]
      mutable sequence
        loop over

## N

      name [1] [2]
        binding [1] [2]
        class
        function
        global
        mangling
        rebinding [1] [2]
        unbinding [1] [2]
      name space [1] [2]
        global [1] [2]
        local
        module
      negation
      NEWLINE token [1] [2]
      notation
      null operation
      number
      numeric
      numeric arithmetic
        mixed mode
      numeric literal

## O

      object
        address in memory
        container
        identity [1] [2]
        immutable
        mutable
        reference to external resource
        type
        unreachable
        value [1] [2]
      object closure
      octal literal
      operation
        arithmetic
          binary
          unary
        bit-wise
          binary
          unary
        boolean
        null
        shifting
      operator
      optimization
      or
        bit-wise
        exclusive
        inclusive
      output
        standard

## P

      parenthesized form
      parser
      Pascal
      plain integer
      plain integer literal
      plus
      pow
      power operator
      primary
      program

## Q

      quotes
        backward [1] [2]
        double
        reverse [1] [2]
        single

## R

      raised an exception
      reference
        attribute
        circular
        count
        counting
      remainder
      representation
        integer
      reserved word
      restricted execution mode

## S

      scope
      script
      semicolon
      sequence
        immutable
      sign
      slice [1] [2] [3]
        boundary [1] [2]
        extended
        simple
      Slice objects
      slicing [1] [2]
      space
      space count
      square bracket
      stack
        execution
      stack frame
      standard inpu
      statement
        assignment
        compound
        expression
        loop
        simple
      statement grouping
      statements
        assignment
      string
        triple-quoted
      string literal
        concatenation
      subscription [1] [2] [3]
      subtraction
      suite
      suppression
        newline
      syntax [1] [2]

## T

      tab
      target
        deletion
        loop control
      test
        identity
        membership
      token
        delimiter
        identifier
        keyword
        literal
        operator
      trace
        stack
      transformation
      triple-quoted strings
      type
        data
          immutable
        hierarchy

## U

      UNIX [1] [2]
      unrecognized escape sequences
      user-defined
      user-defined function

## V

      value
        parameter
          default
        writing
      values
        writing
      Von Neumann

## W

      whitespace

## X

      xor
        bit-wise

## _

      __builtins__
      __del__
        exception in
      __members__
      __methods__

[Next] [Previous] [Top] [Contents]

Generated with Harlequin WebMaker